# this is for RHEL6 machines so it'll generate compatible (S)RPMs
%define _source_filedigest_algorithm 0
%define _binary_filedigest_algorithm 0

Name:		wdaemon
Version:	0.14
Release:	7
Summary:	Hotplug helper for Wacom X.org driver

Group:		User Interface/X Hardware Support
License:	GPL
URL:		http://jake.ruivo.org/~aris/wdaemon/
Source0:	http://jake.ruivo.org/~aris/wdaemon/wdaemon-%{version}.tar.bz2
Patch:		wdaemon-add_abs_z.patch
Patch1:		wdaemon-wait_for_uinput_device_file.patch
Patch2:		wdaemon-0.14-fix_initrd_messages.patch
Patch3:		wdaemon-show_timestamps.patch
Patch4:		wdaemon-fix_udev_rules.patch
Patch5:		wdaemon-do_not_always_print_the_version.patch
Patch6:		wdaemon-intuos4-support.patch
Patch7:		add-support-for-cintiq-21ux2.patch
Patch8:		wdaemon-only_handle_event_devices.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:	glibc-devel
Requires:	udev >= 030-21, util-linux

%description
Helper application which emulates persistent input devices for Wacom tablets
so they can be plugged and unplugged while X.org server is running. This should
go away as soon X.org properly supports hotplugging.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
make UINPUT_FILE="/dev/uinput"

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT bindir=%{_bindir} sysconfdir=%{_sysconfdir} install;
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/scripts/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/
install -m 0755 udev/is_uinput.sh $RPM_BUILD_ROOT%{_sysconfdir}/udev/scripts/
install -m 0644 udev/61-uinput-wacom.rules $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/
install -m 0644 udev/61-uinput-stddev.rules $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 = 1 ]; then
	/sbin/chkconfig --add %{name}
fi

%preun
if [ $1 = 0 ]; then
	/sbin/service %{name} stop > /dev/null 2>&1
	/sbin/chkconfig --del %{name}
fi

%postun
if [ $1 -ge 1 ]; then
	/sbin/service %{name} condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE Changelog README simple.conf
%{_bindir}/wdaemon
%config(noreplace) %{_sysconfdir}/udev/rules.d/61-uinput-wacom.rules
%config(noreplace) %{_sysconfdir}/udev/rules.d/61-uinput-stddev.rules
%{_sysconfdir}/rc.d/init.d/wdaemon
%{_sysconfdir}/udev/scripts/is_uinput.sh

%changelog
* Mon Nov 29 2010 Aristeu Rozanski <aris@redhat.com> 0.14-7
- only handle event devices [504332]

* Mon Sep 27 2010 Aristeu Rozanski <aris@redhat.com> 0.14-6
- add Cintiq 21UX2 support [652740]

* Wed Feb 23 2010 Don Zickus <dzickus@redhat.com> 0.14-5
- add Intuos4 support

* Tue Apr 28 2009 Aristeu Rozanski <arozansk@redhat.com> 0.14-4
- rebuild

* Thu Apr 09 2009 Aristeu Rozanski <arozansk@redhat.com> 0.14-3
- don't print the version always, only when asked

* Tue Sep 09 2008 Aristeu Rozanski <arozansk@redhat.com> 0.14-2
- fix udev scripts
- adding timestamp to debug messages

* Wed Apr 08 2008 Aristeu Rozanski <arozansk@redhat.com> 0.14-1
- Updated to version 0.14
- Fixing initrd messages
- Fixing initrd to wait for /dev/input/uinput
- include ABS_Z support

* Fri Feb 01 2008 Aristeu Rozanski <arozansk@redhat.com> 0.13-1
- Updated to version 0.13

* Wed Aug 01 2007 Aristeu Rozanski <arozansk@redhat.com> 0.11-1
- Updated to version 0.11

* Tue Jul 24 2007 Aristeu S. Rozanski F. <arozansk@redhat.com> 0.10-3
- More problems found by Jarod Wilson fixed:
- Removing exclusive architectures, it used to be in sync with linuxwacom
  package
- marking udev rules as non-replaceable config files
- using install on makefile

* Mon Jul 23 2007 Aristeu S. Rozanski F. <arozansk@redhat.com> 0.10-2
- Fixing the problems found by Jarod Wilson:
- Fixing make install target
- Fixing Makefile so it honors the provided CFLAGS
- not using makeinstall macro
- installing is_uinput.sh as 755 instead of changing later with attr

* Fri Jul 20 2007 Aristeu S. Rozanski F. <arozansk@redhat.com> 0.10-1
* upgrading to version 0.10

* Thu Jul 19 2007 Aristeu S. Rozanski F. <arozansk@redhat.com> 0.09-1
- first release 

